## tetraproc 0.8.2

=== source/Makefile ===
# ----------------------------------------------------------------------------
#
#  Copyright (C) 2006-2010 Fons Adriaensen <fons@linuxaudio.org>
#
#  This program is free software; you can redistribute it and/or modify
#  it under the terms of the GNU General Public License as published by
#  the Free Software Foundation; either version 2 of the License, or
#  (at your option) any later version.
#
#  This program is distributed in the hope that it will be useful,
#  but WITHOUT ANY WARRANTY; without even the implied warranty of
#  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
#  GNU General Public License for more details.
#  You should have received a copy of the GNU General Public License
#  along with this program; if not, write to the Free Software
#  Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
#
# ----------------------------------------------------------------------------


PREFIX = /usr/local
SUFFIX := $(shell uname -m | sed -e 's/^unknown/$//' -e 's/^i.86/$//' -e 's/^x86_64/$/64/')
SHARED = $(PREFIX)/share/tetraproc
LIBDIR = lib$(SUFFIX)
VERSION = 0.8.2
DISTDIR = tetraproc-$(VERSION)
CPPFLAGS += -O3 -Wall -MMD -MP -DVERSION=\"$(VERSION)\" -DSHARED=\"$(SHARED)\"
CPPFLAGS += -march=native


all:	tetraproc tetrafile


TETRAPROC_O = tetraproc.o styles.o mainwin.o jclient.o filewin.o convol44.o virtmic.o \
hpfilt.o pmfilt.o textmat.o confwin.o abconfig.o abprocess.o oscform.o impdata.o kmeter.o \
kmeterdsp.o png2img.o

tetraproc:	CPPFLAGS += -I/usr/X11R6/include `freetype-config --cflags`
tetraproc:	LDLIBS += -lsndfile -lfftw3f -lclxclient -lclthreads -ljack -lpng -lXft -lX11 -lrt 
tetraproc:	LDFLAGS += -L/usr/X11R6/lib
tetraproc:	$(TETRAPROC_O)
	g++ $(LDFLAGS) -o $@ $(TETRAPROC_O) $(LDLIBS)

$(TETRAPROC_O):
-include $(TETRAPROC_O:%.o=%.d)


TETRAFILE_O = tetrafile.o convol44.o hpfilt.o pmfilt.o abconfig.o abprocess.o oscform.o \
impdata.o audiofile.o dither.o

tetrafile:	LDLIBS += -lsndfile -lfftw3f -lrt 
tetrafile:	$(TETRAFILE_O)
	g++ $(LDFLAGS) -o $@ $(TETRAFILE_O) $(LDLIBS)

$(TETRAFILE_O):
-include $(TETRAFILE_O:%.o=%.d)


install:	all
	install -d $(DESTDIR)$(SHARED)
	install -d $(DESTDIR)$(PREFIX)/bin
	install -m 755 tetraproc  ${DESTDIR}$(PREFIX)/bin
	install -m 755 tetrafile  ${DESTDIR}$(PREFIX)/bin
	install -m 644 ../share/* $(DESTDIR)$(SHARED)


clean:
	/bin/rm -f *~ *.o *.a *.d *.so
	/bin/rm -f tetraproc tetrafile

=== debian/changelog ===
tetraproc (0.8.2-2build2) yakkety; urgency=medium

  * No-change rebuild for libpng soname change.

 -- Matthias Klose <doko@ubuntu.com>  Sat, 23 Apr 2016 00:26:36 +0000

tetraproc (0.8.2-2build1) wily; urgency=medium

  * No-change rebuild against libjack-jackd2-0v5

 -- Steve Langasek <steve.langasek@ubuntu.com>  Tue, 11 Aug 2015 07:11:44 +0000

tetraproc (0.8.2-2) unstable; urgency=low

  * libpng12-dev -> libpng-dev (Closes: #662519)
  * Update debian/copyright.
  * Bump Standards.

 -- Alessio Treglia <alessio@debian.org>  Sun, 20 May 2012 18:06:17 +0200

tetraproc (0.8.2-1) unstable; urgency=low

  * Initial release (Closes: #619492).

 -- Alessio Treglia <alessio@debian.org>  Thu, 24 Mar 2011 14:56:48 +0100

=== debian/control ===
Source: tetraproc
Section: sound
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian Multimedia Maintainers <pkg-multimedia-maintainers@lists.alioth.debian.org>
Uploaders:
 Alessio Treglia <alessio@debian.org>
Build-Depends:
 debhelper (>= 7.0.50~),
 libclthreads-dev (>= 2.4.0),
 libclxclient-dev (>= 3.6.1),
 libfftw3-dev (>= 3.1.2-3.1),
 libjack-dev,
 libpng-dev,
 libsndfile-dev,
 libx11-dev
Standards-Version: 3.9.3
Vcs-Git: git://git.debian.org/git/pkg-multimedia/tetraproc.git
Vcs-Browser: http://git.debian.org/?p=pkg-multimedia/tetraproc.git
Homepage: http://kokkinizita.linuxaudio.org/linuxaudio/index.html

Package: tetraproc
Architecture: any
Depends:
 ${misc:Depends},
 ${shlibs:Depends}
Description: Tetrahedral Microphone Processor for Ambisonic Recording
 TetraProc converts the A-format signals from a tetrahedral Ambisonic
 microphone into B-format signals ready for recording. Main features:
 .
  * A-B conversion using a classic scalar matrix and minimum phase
    filters, or
  * A-B conversion using a 4 by 4 convolution matrix using measured
    or computed impulse responses, or a combination of both.
  * Individual microphone calibration facilities.
  * 24 dB/oct higpass filters.
  * Metering, monitoring and test facilities.
  * Virtual stereo mic for stereo monitoring or recording.
  * Unlimited number of stored configurations.
  * Jack client with graphical user interface.

## tetraproc 0.8.6

=== debian/changelog ===
tetraproc (0.8.6-1) unstable; urgency=medium

  [ Jaromír Mikeš ]
  * Team upload.
  * Added myself as uploader

  [ Ondřej Nový ]
  * d/copyright: Use https protocol in Format field
  * d/control: Set Vcs-* to salsa.debian.org

  [ Felipe Sateler ]
  * Change maintainer address to debian-multimedia@lists.debian.org

  [ Sebastian Ramacher ]
  * New upstream release
  * debian/patches:
    - Drop obsolete fix
    - Refresh patches
  * debian/control: Update Standards-Version
  * debian/: Bump debhelper compat to 12

 -- Sebastian Ramacher <sramacher@debian.org>  Thu, 03 Oct 2019 23:54:35 +0200

tetraproc (0.8.2-2.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Fix build without freetype-config. (Closes: #916183)

 -- Adrian Bunk <bunk@debian.org>  Fri, 11 Jan 2019 13:26:32 +0200

=== debian/control ===
--- 
+++ 
@@ -1,12 +1,12 @@
 Source: tetraproc
 Section: sound
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian Multimedia Maintainers <pkg-multimedia-maintainers@lists.alioth.debian.org>
+Maintainer: Debian Multimedia Maintainers <debian-multimedia@lists.debian.org>
 Uploaders:
- Alessio Treglia <alessio@debian.org>
+ Alessio Treglia <alessio@debian.org>,
+ Jaromír Mikeš <mira.mikes@seznam.cz>
 Build-Depends:
- debhelper (>= 7.0.50~),
+ debhelper-compat (= 12),
  libclthreads-dev (>= 2.4.0),
  libclxclient-dev (>= 3.6.1),
  libfftw3-dev (>= 3.1.2-3.1),
@@ -14,10 +14,11 @@
  libpng-dev,
  libsndfile-dev,
  libx11-dev
-Standards-Version: 3.9.3
-Vcs-Git: git://git.debian.org/git/pkg-multimedia/tetraproc.git
-Vcs-Browser: http://git.debian.org/?p=pkg-multimedia/tetraproc.git
+Standards-Version: 4.4.1
+Vcs-Git: https://salsa.debian.org/multimedia-team/tetraproc.git
+Vcs-Browser: https://salsa.debian.org/multimedia-team/tetraproc
 Homepage: http://kokkinizita.linuxaudio.org/linuxaudio/index.html
+Rules-Requires-Root: no
 
 Package: tetraproc
 Architecture: any

=== debian/rules ===
#!/usr/bin/make -f

export DEB_LDFLAGS_MAINT_APPEND=-Wl,--as-needed
export PREFIX=/usr

%:
	dh $@ -Smakefile -Dsource

## tetraproc 0.9.2

=== debian/changelog ===
tetraproc (0.9.2-1) unstable; urgency=medium

  * Team upload

  [ Olivier Humbert ]
  * Update control (http -> https)
  * Update copyright (http -> https)
  * Delete menu (see #741573)
  * Update tetraproc.desktop (add French comment)
  * Update watch (http -> https)
  * Update copyright (add myself)
  * Update docs (install PDF doc)
  * Add icon (for the desktop file)
  * Update tetraproc.desktop (add icon)
  * Add new file
  * Update install (install icon)

  [ Sebastian Ramacher ]
  * New upstream version 0.9.2
  * debian/copyright: Update copyright years
  * debian/control:
    - Bump Standards-Version
    - Bump debhelper compat to 13
  * debian/patches: Refresh patch

 -- Sebastian Ramacher <sramacher@debian.org>  Sun, 29 Oct 2023 13:01:44 +0100

=== debian/control ===
--- 
+++ 
@@ -6,7 +6,7 @@
  Alessio Treglia <alessio@debian.org>,
  Jaromír Mikeš <mira.mikes@seznam.cz>
 Build-Depends:
- debhelper-compat (= 12),
+ debhelper-compat (= 13),
  libclthreads-dev (>= 2.4.0),
  libclxclient-dev (>= 3.6.1),
  libfftw3-dev (>= 3.1.2-3.1),
@@ -14,10 +14,10 @@
  libpng-dev,
  libsndfile-dev,
  libx11-dev
-Standards-Version: 4.4.1
+Standards-Version: 4.6.2
 Vcs-Git: https://salsa.debian.org/multimedia-team/tetraproc.git
 Vcs-Browser: https://salsa.debian.org/multimedia-team/tetraproc
-Homepage: http://kokkinizita.linuxaudio.org/linuxaudio/index.html
+Homepage: https://kokkinizita.linuxaudio.org/linuxaudio/index.html
 Rules-Requires-Root: no
 
 Package: tetraproc

=== debian/watch ===
version=3
https://kokkinizita.linuxaudio.org/linuxaudio/downloads/index.html \
	tetraproc-(.*)\.tar\.bz2
